# !/usr/local/bin/python
# -*- coding: utf-8 -*-
import json

from WindPy import w
import time
from WindPy import w
import datetime
import pandas as pd
import ths


def GetEdbDataByWind(codes,beginTime,endTime):
    # 获取今天的日期
    today = datetime.date.today()
    print(today)

    # 启动万得api接口
    wStart = w.start()
    if wStart.ErrorCode != 0:
        print("启动万得API接口失败")
    print(wStart)

    # 判断WindPy是否已经登陆成功
    isConnect = w.isconnected()
    if isConnect != True:
        print("WindPy登陆失败")

    print("链接结果：", isConnect)
    option = "Fill=Previous"
    code, data = w.edb(codes, beginTime, endTime, option , usedf=True)
    print(code)
    print("=================")
    # print("data：=====", data)
    print("=================")
    # print("data.Times：", data.to_json())
    print("=================")
    jsonData = data.to_json()
    w.close()
    return jsonData

    # print(data.to_json())
    data = w.edb(codes, beginTime, endTime, option)

    # data.
    print("data.ErrorCode:", data.ErrorCode)
    print("data.Codes:", data.Codes)
    print("data.StateCode:", data.StateCode)
    print("data.Fields:", data.Fields)
    print("data.asDate:", data.asDate)
    print("data.Data:", data.Data)
    print("data.Times:", data.Times)


    newData = pd.DataFrame(data.Data, index = data.Times).to_json()
    print("newData：", newData)

    # print(data)
    # jsonData = data.
    # jsons = json.dumps(data)
    # print(jsons)

    #完成调用后，需要停止WindPy
    w.stop()
    return newData


#
# if __name__ == '__main__':
#     GetEdbDataByWind("M0000185","2021-04-10","2021-04-15")
#
# import logging
# logging.basicConfig(filename="out.log", level=logging.DEBUG,
#                     format='%(asctime)s - %(filename)s[line:%(lineno)d] - %(levelname)s: %(message)s')