#!/usr/local/bin/python
# -*- coding: utf-8 -*-

import json
import iFinDPy as THS

from threading import Thread, Lock, Semaphore

sem = Semaphore(5)  # 此变量用于控制最大并发数
dllock = Lock()  # 此变量用来控制实时行情推送中落数据到本地的锁

import logging

logging.basicConfig(filename="out.log", level=logging.DEBUG,
                    format='%(asctime)s - %(filename)s[line:%(lineno)d] - %(levelname)s: %(message)s')


def GetEdbDataByThs(edbCode, startDate, endDate):
    logging.info("start create")
    # 输入用户的帐号和密码
    thsLogin = THS.THS_iFinDLogin("hzmd150", "689719")
    print(thsLogin)
    if thsLogin != 0:
        print('登录失败')
    else:
        print('登录成功')
    thsEDBDataQuery = THS.THS_EDBQuery(edbCode, startDate, endDate, True)
    print("thsEDBDataQuery:",thsEDBDataQuery)
    edbDataQuery = THS.THS_Trans2DataFrame(thsEDBDataQuery)
    jsonStr = edbDataQuery.to_json()
    return jsonStr
